Saltar al contenido

¿No puede localizar el paquete en Ubuntu Linux? ¡Aquí está la solución!

¿No puede localizar el paquete en Ubuntu Linux? ¡Aquí está la solución!

Linux ofrece a sus usuarios flexibilidad en términos de cómo administran e interactúan con su software. Tiene muchas opciones y múltiples cursos de acción a seguir cuando trabaja en la administración de paquetes.

Sin embargo, es posible que haya encontrado un problema común a muchos sistemas Linux “No se puede localizar el paquete” varias veces. Este problema ha aparecido en varias distribuciones de Linux como Ubuntu, Debian, Fedora, Kali Linux y algunas otras.

Si no puede ubicar el paquete en Ubuntu Linux, no se preocupe, ya que hoy profundizaremos en la causa de este problema e intentaremos contrarrestarlo con una solución.

Analizaremos varios enfoques para que pueda utilizar el que mejor se adapte a sus necesidades. Entonces, sin más preámbulos, saltemos directamente al proceso de este exterminio de errores.

Instalación de repositorios adecuados.

Ocasionalmente, cuando estamos instalando un paquete usando la terminal, encontramos un error que indica que el paquete no se puede instalar. Este problema lo enfrentan con más frecuencia los usuarios de la versión 18.04.

localizar paquete en Ubuntu

Este error surge porque apt-get install no puede encontrar el paquete deseado en los repositorios que hemos agregado. Se cargan en /etc/apt/sources.list. También podría significar que los archivos deseados que estamos buscando pueden estar dañados.

En ese caso, habilitamos todos los repositorios. Hay 4 repositorios principales:

Principal: Es la versión oficialmente admitida por Canonical, que es la empresa matriz de Ubuntu. Es de código abierto.

Restringido: es la contraparte de código cerrado de la versión principal. También es compatible con Canonical.

Universe: es el software respaldado por la comunidad que es de código cerrado. La comunidad de Linux mantiene sus asuntos como actualizaciones, parches de seguridad, etc.

Multiverso: Esta es la fuente cerrada. No es compatible, lo que significa que Ubuntu no puede distribuir estos paquetes, al menos oficialmente. Pero están ahí para la propia conveniencia.

Existe una buena posibilidad de que el paquete que desea instalar esté en uno de estos 4 repositorios. Por lo tanto, habilitarlos todos aumenta la posibilidad de una instalación exitosa. Especialmente considerando el caso de que generalmente están deshabilitados por defecto en Ubuntu 18.04.

Escriba los siguientes comandos en la terminal:

$ sudo add-apt repository main
$ sudo add-apt repository restricted
$ sudo add-apt repository universe
$ sudo add-apt repository multiverse

localizar paquete en Ubuntu

En nuestro caso, ya está habilitado. En Ubuntu 20.04, estos repositorios están habilitados de forma predeterminada, lo que significa que nuestro problema aún no está resuelto.

En ese caso, vamos al directorio específico del paquete que queremos instalar.

Para eso, primero visitamos Ubuntu – Búsqueda de paquetes de Ubuntu

Aquí buscamos el paquete y la versión que necesitamos.

localizar paquete en Ubuntu

Como usamos la versión 20.04 a largo plazo, hacemos clic en ella y buscamos el paquete java deseado en la subsección para instalar.

paquete java deseado en la subsección para instalar.

En la sección “Java” se encuentran varios repositorios de los cuales podemos instalar los que necesitemos.

Alternativamente, puede buscar directamente los repositorios usando las opciones de búsqueda en la ventana de abajo para limitar sus resultados y ahorrar más tiempo.

buscar los repositorios
localizar paquete en Ubuntu
localizar paquete en Ubuntu

Esto debería resolver su problema. Sin embargo, si aún puede ubicar el paquete en Ubuntu Linux, tenemos otros procedimientos que puede seguir y precauciones que puede tomar para mantenerse seguro.

Aunque puedan parecer triviales, puede haber varios problemas menores que pueden marcar la diferencia. Por ejemplo, algunos se mencionan a continuación:

Caso 1: Nombre de paquete incorrecto.

Es posible que no pueda instalar el paquete deseado debido a un error de escritura. También debe tenerse en cuenta que los nombres de los paquetes distinguen entre mayúsculas y minúsculas. Así que hay que estar atento a eso. Por ejemplo, “Nmap” no es lo mismo que “nmap”.

Caso 2: Actualización y actualización de paquetes.

En muchos casos en los que es posible que su paquete no se descargue, la causa subyacente podría ser un sistema desactualizado. Comenzamos actualizando nuestro caché. Puede lograr esto escribiendo el siguiente comando en la terminal.

$ sudo apt update
localizar paquete en Ubuntu
localizar paquete en Ubuntu

Ahora actualizamos para instalar los paquetes.

La actualización puede descargar los paquetes necesarios que necesitaba para completar la pieza final del rompecabezas. Para ello, escriba el siguiente comando en la terminal.

$ sudo apt get-upgrade
localizar paquete en Ubuntu

Si aún no puede ubicar el paquete en Ubuntu Linux, puede solucionar el problema del tercer caso.

Caso 3: Verifique la versión de su sistema operativo.

A veces, es posible que tengamos problemas con la descarga incluso si seguimos todos los pasos del tutorial. Esto probablemente sucede porque nuestra versión actual es incompatible con el paquete en discusión, por lo que es bueno verificar su versión y ver si el paquete para esa versión está disponible y es compatible.

Puede verificar la versión escribiendo:

$ lsb_release-a

Si la versión de Ubuntu que está utilizando ya no es compatible. Es muy probable que no pueda encontrar el paquete. La solución sencilla es actualizar a la última versión.

Pasos para actualizar el sistema operativo de su sistema.

Pasaremos por una breve descripción general que explica cómo puede descargar el paquete en una secuencia bien definida:

  1. Primero y ante todo, actualiza tu sistema. Este es el paso preliminar que se recomienda antes de instalar cualquier cosa. Si se requiere una actualización para descargar archivos adicionales, hágalo también.
  2. Si el paquete aún no se descarga, intente habilitar todos los repositorios. Esto permite obtener múltiples fuentes de paquetes y, en consecuencia, aumenta la probabilidad de éxito.
  3. Si el error persiste, vaya al siguiente paso de la búsqueda manual de paquetes en packages.ubuntu.com y busque los directorios de paquetes de búsqueda. Tenga cuidado en el panel de distribución. Asegúrese de descargar el paquete para la distribución que está utilizando actualmente.
  4. También debería intentar cambiar el servidor desde el “Sección de software y actualizaciones”. Ha funcionado para varias personas, así que vale la pena intentarlo.

seleccionando los mejores servidores

  1. Finalmente, si nada le ha funcionado, probablemente significa que la versión que usa no es compatible con el paquete que está usando. En ese caso, se recomienda que actualice la versión de su sistema operativo (se recomienda una versión LTS ya que será compatible oficialmente durante al menos 2 años).

Con suerte, este artículo ayudó a aquellos que no pudieron ubicar el paquete en Ubuntu Linux. Ahora debería poder descargar e instalar lo que sea que necesite.

Si desea ver cómo liberar espacio / partición de arranque, consulte este artículo que explica cómo liberar espacio / partición de arranque en Ubuntu, haga clic aquí.

Si esta guía te ayudó, compártela. 🙂

( function( d, s, id ) {
var js, fjs = d.getElementsByTagName( s )[0];
if ( d.getElementById( id ) ) return;
js = d.createElement( s ); js.id = id;
js.src = “https://connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.5&appId=305449883698649”;
fjs.parentNode.insertBefore( js, fjs );
}( document, ‘script’, ‘facebook-jssdk’ ) );

¡Haz clic para puntuar esta entrada!
(Votos: 0 Promedio: 0)